Subject: Re: [bug#32834] [PATCH] gnu: icecat: Build with rust-1.24.

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 30 Sep 2018 00:55:15 +0200

On Sat, 29 Sep 2018 23:55:36 +0200
[email-masked] (Ludovic Courtès) wrote:

> Hi Efraim,
> 
> Efraim Flashner <[email-masked]> skribis:
> 
> > * gnu/packages/gnuzilla.scm (icecat)[native-inputs]: Use the oldest
> > compatable rust over newer releases when building icecat.  
> 
> [...]
> 
> > +      ;; Icecat 60 checkes for rust>=1.24
> > +     `(("rust" ,rust-1.24)
> > +       ("cargo" ,rust-1.24 "cargo")  
> 
> I suppose the goal is to reduce the build chain, right?
> 
> Mark, Danny: WDYT?

I think it's a good idea.

Eventually, the rust bootchain will change to mrustc -> [email-masked] -> ...,
but we can cross that bridge when we come to it.

I'm not sure about Rust's policy with regard to CVEs.  Are those patched
in old releases, too?